ROTIX(1)

NAME
rotix - A program to generate rotational obfuscations

SYNOPSIS
rotix [ -f file ] [ -o file ] [ -r value ]

rotix -t text [ -o file ] [ -r value ]

DESCRIPTION
rotix is a program that creates rotational obfuscations. Most famously in this field is the ROT-13 obfuscation.

Please note that rotix creates obfuscations and not encryptions. You should not consider your data safe when you ran rotix over it. rotix-like programs are only used to have a "public secret". Mostly to prevent people from directly reading it, in case of offensive material or the like. Use it as such and not as an encryption tool. If you want to encrypt your data have a look at gpg(1).

OPTIONS

-f file, --file=file
    Specifies a file that contains the text to rotate. This can be stdin (indicated with a dash "-").

    This option cannot be used in conjunction with -t. When neither is given, -f - is assumed.

-o file, --output=file
    The output is appended to the specified file. You can specify stdout (again, indicated by a single dash "-"). In fact, stdout is assumed when this option is omitted.

-r value, --rot=value
    Specifies the rotational value to use. When -r is omitted, -r 13 is assumed. Negative values are accepted.

    A special value is 'auto'. rotix will then output every unique obfuscation. Please note that this generates at least 25 lines of output. You might want to specify an output-file or pipe it to more or less.

-a, --auto
    Alias for -r auto

-t text, --text=text
    This specifies the text to rotate. You cannot use it in conjunction with -f.

    Please note that -t takes exactly 1 (one) parameter. So if you have special characters (like spaces) in your text, you might want to escape or quote them.

-R, --right
    This rotates the letters to the right. [Default]

-L, --left
    This rotates the letters to the left.

-h, --help
    Displays the command-line options.

-v, --version
    Outputs the version number of rotix.

TIPS
If you have large amounts of text that is rotated and of which you do not what the rotational value is, specify the -t option and give the first line of the text as parameter. Use -a to check which rotational value is used. Then use that value to deobfuscate the entire text. This is easier and faster.

If you specify -a it is always a good idea to use less.

Rotix has the ability to recalculate values. A rotational value of 27 will be recalculated to 1. Rotix can also handle negative values. However, you can use the -L and -R options as well to keep using the same values. It is a matter of taste.

COPYRIGHT
Rotix is Copyright © 2001 Sjoerd Hemminga

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

REPORTING BUGS
Please report bugs to <sjoerd@huiswerkservice.nl>

AUTHOR
Sjoerd Hemminga <sjoerd@huiswerkservice.nl>

SEE ALSO
gpg(1)